package net.knarcraft.dynmapcitizens;

/**
 * Every icon type used
 */
public enum Icon {

    /**
     * An icon representing a quest giver
     */
    QUEST_GIVER,

    /**
     * An icon representing an interactable NPC part of some quest
     */
    QUEST_INTERACT,

    /**
     * An icon representing an NPC to be killed as part of a quest
     */
    QUEST_KILL,

    /**
     * An icon representing an NPC taking deliveries as part of a quest
     */
    QUEST_DELIVER,

    /**
     * An icon representing a sentinel NPC
     */
    SENTINEL,

    /**
     * An icon representing a blacksmith NPC
     */
    BLACKSMITH

}
